Dallas Semiconductor 1-Wire API 1.00 Alpha: Class OneWireContainer01

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dalsemi.onewire.container
Class OneWireContainer01

    java.lang.Object
      |
      +--com.dalsemi.onewire.container.OneWireContainer
            |
            +--com.dalsemi.onewire.container.OneWireContainer01

public class OneWireContainer01
extends OneWireContainer

1-Wire® container that encapsulates the functionality of the 1-Wire family type 01 (hex), Dallas Semiconductor part number: DS1990A, Serial Number.

This 1-Wire device is used as a unique serial number.

## Features

- 64 bit unique serial number
- Operating temperature range from -40°C to +85°C

## Alternate Names

- DS2401
- DS1420 (Family 81)

## DataSheets

http://pdfserv.maxim-ic.com/arpdf/DS1990A.pdf
http://pdfserv.maxim-ic.com/arpdf/DS2401.pdf
http://pdfserv.maxim-ic.com/arpdf/DS1420.pdf

Version:
  0.00, 28 Aug 2000

Constructor Summary
`OneWireContainer01()` Create an empty container.
`OneWireContainer01(DSPortAdapter sourceAdapter, byte[] newAddress)` Create a container with a provided adapter object and the address of the iButton or 1-Wire device.
`OneWireContainer01(DSPortAdapter sourceAdapter, long newAddress)` Create a container with a provided adapter object and the address of the iButton or 1-Wire device.
`OneWireContainer01(DSPortAdapter sourceAdapter, String newAddress)` Create a container with a provided adapter object and the address of the iButton or 1-Wire device.

Method Summary
`String` | `getAlternateNames()` Retrieves the alternate Dallas Semiconductor part numbers or names.
`String` | `getDescription()` Retrieves a short description of the function of the 1-Wire device type.
`String` | `getName()` Retrieves the Dallas Semiconductor part number of the 1-Wire device as a `String`.

Methods inherited from class com.dalsemi.onewire.container.OneWireContainer
`doSpeed, getAdapter, getAddress, getAddressAsLong, getAddressAsString, getMaxSpeed, getMemoryBanks, isAlarming, isPresent, setSpeed, setupContainer, setupContainer, setupContainer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OneWireContainer01

    public OneWireContainer01()

  Create an empty container. Must call `setupContainer` before using this new container.

  This is one of the methods to construct a container. The others are through creating a OneWireContainer with parameters.

  See Also:
    `OneWireContainer01(DSPortAdapter,byte[])`, `OneWireContainer01(DSPortAdapter,long)`, `OneWireContainer01(DSPortAdapter,String)`, `OneWireContainer.setupContainer(DSPortAdapter,byte[])`, `OneWireContainer.setupContainer(DSPortAdapter,long)`, `OneWireContainer.setupContainer(DSPortAdapter,String)`

### OneWireContainer01

    public OneWireContainer01(DSPortAdapter sourceAdapter,
                              byte[] newAddress)

  Create a container with a provided adapter object and the address of the iButton or 1-Wire device.

  This is one of the methods to construct a container. The other is through creating a OneWireContainer with NO parameters.

  Parameters:
    `sourceAdapter` - adapter object required to communicate with this iButton.
    `newAddress` - address of this 1-Wire device
  See Also:
    `OneWireContainer01()`, `Address`

### OneWireContainer01

    public OneWireContainer01(DSPortAdapter sourceAdapter,
                              long newAddress)

  Create a container with a provided adapter object and the address of the iButton or 1-Wire device.

  This is one of the methods to construct a container. The other is through creating a OneWireContainer with NO parameters.

  Parameters:
    `sourceAdapter` - adapter object required to communicate with this iButton.
    `newAddress` - address of this 1-Wire device
  See Also:
    `OneWireContainer01()`, `Address`

### OneWireContainer01

    public OneWireContainer01(DSPortAdapter sourceAdapter,
                              String newAddress)

  Create a container with a provided adapter object and the address of the iButton or 1-Wire device.

  This is one of the methods to construct a container. The other is through creating a OneWireContainer with NO parameters.

  Parameters:
    `sourceAdapter` - adapter object required to communicate with this iButton.
    `newAddress` - address of this 1-Wire device
  See Also:
    `OneWireContainer01()`, `Address`

Method Detail

### getName

    public String getName()

  Description copied from class: `OneWireContainer`
  Retrieves the Dallas Semiconductor part number of the 1-Wire device as a `String`. For example 'Crypto iButton' or 'DS1992'.
  Overrides:
    `getName` in class `OneWireContainer`
  Following copied from class: `com.dalsemi.onewire.container.OneWireContainer`
  Returns:
    1-Wire device name

### getAlternateNames

    public String getAlternateNames()

  Description copied from class: `OneWireContainer`
  Retrieves the alternate Dallas Semiconductor part numbers or names. A 'family' of 1-Wire Network devices may have more than one part number depending on packaging. There can also be nicknames such as 'Crypto iButton'.
  Overrides:
    `getAlternateNames` in class `OneWireContainer`
  Following copied from class: `com.dalsemi.onewire.container.OneWireContainer`
  Returns:
    1-Wire device alternate names

### getDescription

    public String getDescription()

  Description copied from class: `OneWireContainer`
  Retrieves a short description of the function of the 1-Wire device type.
  Overrides:
    `getDescription` in class `OneWireContainer`
  Following copied from class: `com.dalsemi.onewire.container.OneWireContainer`
  Returns:
    device functional description

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD